=== debian/changelog ===
swiftlang (6.2.3-1) unstable; urgency=medium

  * New upstream version.

 -- Steve Meliza <swm@swm1.com>  Wed, 28 Jan 2026 22:12:35 -0800

swiftlang (6.1.3-4) unstable; urgency=medium

  * d/control - Remove version requirement on swiftlang-dev build dep
  * d/libswiftlang.install - Add CXX interop libraries

 -- Steve Meliza <swm@swm1.com>  Sun, 18 Jan 2026 17:49:14 -0800

swiftlang (6.1.3-3) unstable; urgency=medium

  [ Steve Meliza ]
  * d/patches - Fix for -wParenthesis warning turning into an error
  * d/patches - Fix int to uint32_t implicit conversion error
  * d/po - Add Catalan ca.po (Closes: #1123939)
     Thanks to Carles Pina i Estany <carles@pina.cat>

 -- Steve Meliza <swm@swm1.com>  Wed, 24 Dec 2025 20:54:54 -0800

swiftlang (6.1.3-2) unstable; urgency=medium

  [ Steve Meliza ]
  * d/patches - Fix for glibc 2.42 by removing use of termio

  [ Sylvestre Ledru ]
  * d/rules - enable the verbose build (Closes: #1119339)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 17 Nov 2025 08:50:00 +0100
