=== debian/control ===
Source: swiftlang
Section: devel
Priority: optional
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders: Steve Meliza <swm@swm1.com>
Build-Depends: debhelper-compat (= 13),
               swiftlang (>=6.1.3),
               swiftlang-dev,
               clang,
               cmake (>= 3.24.2),
               ninja-build (>= 1.12.1),
               binutils-gold,
               swig,
               rsync,
               python3,
               python3-dev,
               python3-distro,
               python3-setuptools,
               python3-six,
               python3-psutil [arm64],
               libbsd-dev,
               libxml2-dev,
               libsqlite3-dev,
               libcurl4-openssl-dev,
               uuid-dev,
               libedit-dev,
               libicu-dev,
               po-debconf,
               zlib1g-dev,
               libcrypt-dev
Build-Conflicts: python3-swiftclient
Standards-Version: 4.7.3
Homepage: https://www.swift.org
Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/swiftlang/
Vcs-Git: https://salsa.debian.org/pkg-llvm-team/swiftlang.git
Rules-Requires-Root: no

Package: swiftlang
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         debconf,
         binutils,
         gcc,
         libswiftlang (= ${binary:Version})
Suggests: python3,
          swiftlang-dev,
          swiftlang-doc,
          wasi-libc
Description: general-purpose compiled programming language
 Swift is a general-purpose, multi-paradigmed, compiled
 programming language built using a modern approach to safety,
 performance, and software design patterns.
 .
 The goal of the Swift project is to create the best available
 language for uses ranging from systems programming, to mobile
 and desktop apps, scaling up to cloud services. Most
 importantly, Swift is designed to make writing and maintaining
 correct programs easier for the developer.

Package: libswiftlang
Architecture: amd64 arm64
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: no
Description: general-purpose compiled programming language - Runtime Libraries
 Swift is a general-purpose, multi-paradigmed, compiled
 programming language built using a modern approach to safety,
 performance, and software design patterns.
 .
 The goal of the Swift project is to create the best available
 language for uses ranging from systems programming, to mobile
 and desktop apps, scaling up to cloud services. Most
 importantly, Swift is designed to make writing and maintaining
 correct programs easier for the developer.
 .
 This package contains the Swift runtime libraries.

Package: swiftlang-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libswiftlang (>= ${source:Version}),
         swiftlang (>= ${source:Version})
Description: general-purpose compiled programming language - Development Headers
 Swift is a general-purpose, multi-paradigmed, compiled
 programming language built using a modern approach to safety,
 performance, and software design patterns.
 .
 The goal of the Swift project is to create the best available
 language for uses ranging from systems programming, to mobile
 and desktop apps, scaling up to cloud services. Most
 importantly, Swift is designed to make writing and maintaining
 correct programs easier for the developer.
 .
 This package contains the Swift libraries and headers to develop applications
 using Swift.

Package: swiftlang-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: general-purpose compiled programming language - Documentation
 Swift is a general-purpose, multi-paradigmed, compiled
 programming language built using a modern approach to safety,
 performance, and software design patterns.
 .
 The goal of the Swift project is to create the best available
 language for uses ranging from systems programming, to mobile
 and desktop apps, scaling up to cloud services. Most
 importantly, Swift is designed to make writing and maintaining
 correct programs easier for the developer.
 .
 This package contains the documentation.
